## com.lowagie.text.pdf.hyphenation
Class TernaryTree.Iterator

    java.lang.Object
      com.lowagie.text.pdf.hyphenation.TernaryTree.Iterator

All Implemented Interfaces:
  Enumeration

Enclosing class:
  TernaryTree

public class TernaryTree.Iterator
extends Object
implements Enumeration

Nested Class Summary
`private class` `TernaryTree.Iterator.Item`

Field Summary
`(package private) int` `cur` current node index
`(package private) String` `curkey` current key
`(package private) StringBuffer` `ks` key stack implemented with a StringBuffer
`(package private) Stack` `ns` Node stack

Constructor Summary
`TernaryTree.Iterator()`

Method Summary
`char` `getValue()`
`boolean` `hasMoreElements()`
`Object` `nextElement()`
`void` `rewind()`
`private int` `run()` traverse the tree to find next key
`private int` `up()` traverse upwards

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cur

    int cur

  current node index

### curkey

    String curkey

  current key

### ns

    Stack ns

  Node stack

### ks

    StringBuffer ks

  key stack implemented with a StringBuffer

Constructor Detail

### TernaryTree.Iterator

    public TernaryTree.Iterator()

Method Detail

### rewind

    public void rewind()

### nextElement

    public Object nextElement()

  Specified by:
    `nextElement` in interface `Enumeration`

### getValue

    public char getValue()

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `Enumeration`

### up

    private int up()

  traverse upwards

### run

    private int run()

  traverse the tree to find next key